<?php
require_once ('system/func.php');
if(isset($_GET[new_clan]) and $user[id_clan] == 0){
if(isset($_GET['new_clan_post'])){
if(isset($_POST['name'])){
$name = $_POST['name'];

#######Price clans#####

$price = 1200;
if(strlen($name) < 6 or strlen($name) > 40)$err = 'Длина названия должна быть в пределах 6 - 40 символов';
if($user[almaz] < $price)$err = "Не хватает ".ico('icons','almaz.png')." ".($price-$user[almaz])." алмазов";
if(!$err){
if(mysql_query("INSERT INTO `clans` SET `name` = '$name', `date` = '".time()."', `side` = '$user[side]'")){
$id = mysql_insert_id();
mysql_query("UPDATE `users` SET `clan_rang` = '5',   `trust` = '10' , `id_clan` = '$id', `almaz` = '".($user[almaz]-$price)."' WHERE `id` = '".$myID."'");
mysql_query("UPDATE `users` SET `clan_exp` = '0' , `clan_gold` = '0', `clan_almaz` = '0' WHERE `id` = '".$myID."'");
header('Location: /clan/');
exit();
}
}else{
$_SESSION['msg'] = $err;
header('Location: ?new_clan');
exit();
}
}else{
$_SESSION['msg'] = 'Заполните поле';
header('Location: ?new_clan');
exit();
}
}
$title = 'Создание клана';
require_once ('system/header.php');
echo "<div class='header'>";
echo "<form method='post' action='?new_clan&new_clan_post'>";
echo "Название клана:<br><input type='text' name='name'>";
echo "<input type='submit' class='btn_grey' value='Создать клан'></br><span class='info'>Стоимость: ".ico('icons','almaz.png')."  1200 алмазов</span>
</form>";
echo "</div>";
require_once ('system/footer.php');
break;
}
$title = 'Рейтинг кланов';
require_once ('system/header.php');

auth();

echo "<div class='header'> <img src='/images/other/clans.png'> </span></s></div>"; 







$set['p_str'] = 5;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `clans`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `clans` ORDER BY `level` DESC, `exp` DESC LIMIT $start, $set[p_str]");
while($post = mysql_fetch_assoc($q)) {
$i++;
if($post[side] == 'good')$color = 'green';
else $color = 'red';
if($i+$start <= 5){
echo "<div class='wrapper'>";

echo " ".ico('icons' ,'rating.png')." $i   ".ico('icons' ,'clan.png')."<a href='/clan/$post[id]/'>$post[name]</a>";
echo" <br> ".ico('icons' ,'level.png')."
 
  <l> <span class='white'>Уровень: </span> $post[level]<br>
".ico('icons' ,'exp.png')."
  <span class='white'> Опыт:   </span>$post[exp]</div> </div>";
 
 
}else{
echo "<div class='wrapper'>";

echo "<font color='$color'>".($i+$start)."</font>. ".ico('icons','clan.png')." <a href='/clan/$post[id]/'>$post[name]</a> <br>".ico('icons','level.png')." Уровень: $post[level]<br>".ico('icons','exp.png')." Опыт: ".n_f($post[exp]);
echo "</div>";
}
}

if($k_post >=5){
echo "<div class='wrapper'>";
str('?',$k_page,$page); // Вывод страниц
echo "</div>";
}

if($user[id_clan] == 0)echo "<div class='header'><div class='btn_grey'><a href='?new_clan'>".ico('icons','ok.png')." Создать клан</div></div></a>";

require_once ('system/footer.php');
?>